package com.happy.vo;

import lombok.Builder;

import java.util.List;
@Builder
public class CommentListVo {
//    本次评论id
    private String id;
//    上级id
    private String commentId;
//    回复人名称
    private String commentName;
//    本次评价名称
    private String userName;
//    本次评价头像
    private String headPhoto;
//    评价时间
    private String dateTime;
//    本次评价内容
    private String content;

//    子级内容
    private List<CommentListVo> commentVoList;



    public String getDateTime() {
        return dateTime;
    }

    public void setDateTime(String dateTime) {
        this.dateTime = dateTime;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCommentId() {
        return commentId;
    }

    public void setCommentId(String commentId) {
        this.commentId = commentId;
    }

    public String getCommentName() {
        return commentName;
    }

    public void setCommentName(String commentName) {
        this.commentName = commentName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getHeadPhoto() {
        return headPhoto;
    }

    public void setHeadPhoto(String headPhoto) {
        this.headPhoto = headPhoto;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public List<CommentListVo> getCommentVoList() {
        return commentVoList;
    }

    public void setCommentVoList(List<CommentListVo> commentVoList) {
        this.commentVoList = commentVoList;
    }
}
